org.apache.hadoop.yarn.client.api.async.impl

## Class NMClientAsyncImpl.StartContainerEvent

- java.lang.Object
- - org.apache.hadoop.yarn.event.AbstractEvent<NMClientAsyncImpl.ContainerEventType>
  - - org.apache.hadoop.yarn.client.api.async.impl.NMClientAsyncImpl.ContainerEvent
    - - org.apache.hadoop.yarn.client.api.async.impl.NMClientAsyncImpl.StartContainerEvent

- All Implemented Interfaces:
    org.apache.hadoop.yarn.event.Event<NMClientAsyncImpl.ContainerEventType>
  Enclosing class:
    NMClientAsyncImpl

      protected static class NMClientAsyncImpl.StartContainerEvent
      extends NMClientAsyncImpl.ContainerEvent

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StartContainerEvent(org.apache.hadoop.yarn.api.records.Container container, org.apache.hadoop.yarn.api.records.ContainerLaunchContext containerLaunchContext)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.hadoop.yarn.api.records.Container` | `getContainer()`
    `org.apache.hadoop.yarn.api.records.ContainerLaunchContext` | `getContainerLaunchContext()`

    - ### Methods inherited from class org.apache.hadoop.yarn.client.api.async.impl.NMClientAsyncImpl.ContainerEvent

      `getContainerId, getContainerToken, getNodeId`

    - ### Methods inherited from class org.apache.hadoop.yarn.event.AbstractEvent

      `getTimestamp, getType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StartContainerEvent

          public StartContainerEvent(org.apache.hadoop.yarn.api.records.Container container,
                                     org.apache.hadoop.yarn.api.records.ContainerLaunchContext containerLaunchContext)

  - ### Method Detail

    - #### getContainer

          public org.apache.hadoop.yarn.api.records.Container getContainer()

    - #### getContainerLaunchContext

          public org.apache.hadoop.yarn.api.records.ContainerLaunchContext getContainerLaunchContext()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.